package com.gic.haoban.manage.web.vo.content.creative;


/**
 * 内容分类表(TabContentCategory)表实体类
 *
 * @author makejava
 * @since 2022-10-27 17:20:20
 */
@SuppressWarnings("serial")
public class ContentGoodsVO {
    /**
     * 商品id
     */
    private String goodsId;

    /**
     * 商品Code
     */
    private String goodsCode;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品主图
     */
    private String goodsImageUrl;

    /**
     * spu库存
     */
    private Integer spuStock;

    /**
     * 商品状态
     * @see com.gic.store.goods.enums.GoodsStatusEnum
     */
    private Integer status;

    /**
     * 是否已完善1是0否
     */
    private Integer isComplete;

    /**
     * 商品金额
     */
    private Double proPrice;

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public String getGoodsCode() {
        return goodsCode;
    }

    public void setGoodsCode(String goodsCode) {
        this.goodsCode = goodsCode;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsImageUrl() {
        return goodsImageUrl;
    }

    public void setGoodsImageUrl(String goodsImageUrl) {
        this.goodsImageUrl = goodsImageUrl;
    }

    public Integer getSpuStock() {
        return spuStock;
    }

    public void setSpuStock(Integer spuStock) {
        this.spuStock = spuStock;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsComplete() {
        return isComplete;
    }

    public void setIsComplete(Integer isComplete) {
        this.isComplete = isComplete;
    }

    public Double getProPrice() {
        return proPrice;
    }

    public void setProPrice(Double proPrice) {
        this.proPrice = proPrice;
    }
}
